Agency Apply Card for User (Deducted from Agency Assets)
curl --request POST \
--url http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCardimport requests
url = "http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard")
.asString();require 'uri'
require 'net/http'
url = URI("http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"code": 123,
"msg": "<string>",
"data": {
"channel": "CRYPTO",
"status": "ACTIVE",
"cardAccountStatus": "APPROVED",
"cardId": 123,
"cardNumber": "<string>",
"cardUUID": "<string>",
"embossedName": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"last4": "<string>",
"msg": "<string>"
}
}Agency Management
Agency Apply Card for User (Deducted from Agency Assets)
POST
/
wallet
/
api
/
agency
/
applyUserCard
Agency Apply Card for User (Deducted from Agency Assets)
curl --request POST \
--url http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCardimport requests
url = "http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard")
.asString();require 'uri'
require 'net/http'
url = URI("http://access-wallet.test.ftrader.pro/wallet/api/agency/applyUserCard")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"code": 123,
"msg": "<string>",
"data": {
"channel": "CRYPTO",
"status": "ACTIVE",
"cardAccountStatus": "APPROVED",
"cardId": 123,
"cardNumber": "<string>",
"cardUUID": "<string>",
"embossedName": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"last4": "<string>",
"msg": "<string>"
}
}Query Parameters
Address ID, required if delivery is needed
Agency code
App identifier
App user ID
Payment asset ID
Card number the user already owns
Credit card category ID
URL of the card image uploaded by the user
Embossed name (must be uppercase English only), max 20 characters
Whether delivery is needed; if true, addressId is required
Signature